> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Get Load Balancer statistics ## OpenAPI ````yaml https://core-api-public-docs.b-cdn.net/docs/v3/public.json get /loadbalancer/{loadBalancerId}/statistics openapi: 3.0.0 info: title: bunny.net API description: >- bunny.net Logo Learn how to use the [bunny.net](https://bunny.net "bunny.net - The content delivery platform that truly hops.") API. Everything that can be done with the control panel can also be achieved with our API documented on this page. To learn how to use the storage API, have a look at our storage API documentation

Third party API clients:


We currently do not maintain an official API library, but you can use one of the third party ones provided here:

https://github.com/codewithmark/bunnycdn (bunny.net PHP library, thanks to Code With Mark)

Note that third party clients are not maintained or developed by bunny.net so we unfortunately cannot offer support for them. termsOfService: https://bunny.net/tos contact: name: bunny.net url: https://docs.bunny.net email: support@bunny.net version: 1.0.0 servers: - url: https://api.bunny.net description: bunny.net API Server security: - AccessKey: [] tags: - name: Stream Video Library - name: User - name: AuditLog - name: Storage Zone - name: Statistics - name: Search - name: Pull Zone - name: Pricing - name: Load Balancer - name: DNS Zone - name: DNSSEC - name: Billing - name: API Keys - name: Affiliate - name: Countries - name: Purge - name: Region paths: /loadbalancer/{loadBalancerId}/statistics: get: tags: - Load Balancer summary: Get Load Balancer statistics operationId: LoadBalancerStatisticsEndpoint_GetLoadBalancerStatistics parameters: - name: loadBalancerId in: path required: true schema: type: integer format: int64 x-position: 1 - name: from in: query description: >- (Optional) The start date of the statistics. If no value is passed, the last 24 hours will be returned. Rounded to full-day boundaries unless hourly=true and exactRange=true. schema: type: string format: date-time nullable: true x-position: 2 - name: to in: query description: >- (Optional) The end date of the statistics. Rounded to full-day boundaries unless hourly=true and exactRange=true. schema: type: string format: date-time nullable: true x-position: 3 - name: hourly in: query description: >- (Optional) If true, the statistics will be returned in hourly grouping. Hourly statistics are available for the last 30 days only. schema: type: boolean default: false x-position: 4 - name: exactRange in: query description: >- (Optional) If true and hourly=true, the exact hour components of from and to will be preserved instead of rounding to full-day boundaries. schema: type: boolean default: false x-position: 5 responses: '200': description: The Load Balancer statistics content: application/json: schema: $ref: '#/components/schemas/LoadBalancerStatisticsModel' '400': description: The request was invalid content: application/json: schema: $ref: '#/components/schemas/ApiErrorData' '401': description: The request authorization failed '404': description: The Load Balancer profile was not found content: application/json: schema: $ref: '#/components/schemas/ApiErrorData' '429': description: Too many statistics requests, try again later content: application/json: schema: $ref: '#/components/schemas/ApiErrorData' '500': description: Internal Server Error security: - AccessKey: - User - UserApi - SubuserAPIPullZones - SubuserPullZones - SubuserManage - SubuserAPIManage - ScopedApiKey - bearer: - User - UserApi - SubuserAPIPullZones - SubuserPullZones - SubuserManage - SubuserAPIManage - ScopedApiKey components: schemas: LoadBalancerStatisticsModel: type: object additionalProperties: false properties: Summary: nullable: true oneOf: - $ref: '#/components/schemas/LoadBalancerStatisticsSummaryModel' RequestsByOrigin: type: array nullable: true items: $ref: '#/components/schemas/LoadBalancerOriginRequestsSeriesModel' RequestsByOriginGroup: type: array nullable: true items: $ref: '#/components/schemas/LoadBalancerOriginGroupRequestsSeriesModel' TrafficByOrigin: type: array nullable: true items: $ref: '#/components/schemas/LoadBalancerOriginRequestsSeriesModel' OriginLatency: type: array nullable: true items: $ref: '#/components/schemas/LoadBalancerOriginLatencySeriesModel' OriginFailures: type: array nullable: true items: $ref: '#/components/schemas/LoadBalancerOriginFailuresSeriesModel' ApiErrorData: type: object additionalProperties: false properties: ErrorKey: type: string nullable: true Field: type: string nullable: true Message: type: string nullable: true LoadBalancerStatisticsSummaryModel: type: object additionalProperties: false properties: TotalRequests: type: number format: double TotalTraffic: type: number format: double AverageOriginRttMs: type: number format: double AllOriginsExhausted: type: number format: double OriginErrorsServed: type: number format: double HealthyResponsesServed: type: number format: double FailoverCapped: type: number format: double AverageRetryDepth: type: number format: double StickySessionHits: type: number format: double RequestsByMethod: type: object nullable: true additionalProperties: type: number format: double LoadBalancerOriginRequestsSeriesModel: type: object additionalProperties: false properties: OriginId: type: integer format: int64 OriginName: type: string nullable: true Values: type: object nullable: true additionalProperties: type: number format: double LoadBalancerOriginGroupRequestsSeriesModel: type: object additionalProperties: false properties: OriginGroupId: type: integer format: int64 OriginGroupName: type: string nullable: true Values: type: object nullable: true additionalProperties: type: number format: double LoadBalancerOriginLatencySeriesModel: type: object additionalProperties: false properties: OriginId: type: integer format: int64 OriginName: type: string nullable: true Percentile: type: integer format: int32 Values: type: object nullable: true additionalProperties: type: number format: double LoadBalancerOriginFailuresSeriesModel: type: object additionalProperties: false properties: OriginId: type: integer format: int64 OriginName: type: string nullable: true StatusCode: type: string nullable: true Values: type: object nullable: true additionalProperties: type: number format: double securitySchemes: AccessKey: type: apiKey description: API Access Key authorization header name: AccessKey in: header bearer: type: apiKey description: Bearer token authorization header name: Authorization in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.